## jtreg8 8%2B2%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

# version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+~-]' '{ print $$2 }')
DATE         := $(shell dpkg-parsechangelog --show-field Date)
JTREG_HOME   := $(shell readlink -f build/images/jtreg)

export TESTNG_VERSION=7.5

export JTREG_HOME

export HEADLESS=1
COMMA=,

SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

JAVA_VERSION=$(shell java -version 2>&1)
JAVA_SPECIFICATION_VERSION=$(shell echo "${JAVA_VERSION}" | \
	grep -e ^java -e ^openjdk | \
	head -n 1 | \
	sed -e 's/^[^0-9]*\(1\.\)*\([1-9][0-9]*\).*/\2/' )

components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng

%:
	dh $@

override_dh_clean:
	./debian/component-scripts/clean-components.sh jtreg8 $(components)
	dh_clean

override_dh_auto_build:
	./debian/component-scripts/build-components.sh jtreg8 $(components)

	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
	mkdir -p build/classes/com/sun/javatest/regtest/tool
	mkdir -p build/test
	(cd make && make \
		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
		BUILD_DIR=../build \
		JUNIT_JARS=../junit5/debian/jtreg8/usr/share/java/junit-platform-console-standalone.jar \
		TESTNG_JARS="../testng/debian/jtreg8/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \
		JAVATEST_JAR=/usr/share/java/javatest.jar \
		BUILD_DATE='$(DATE)' \
		BUILD_NUMBER=$(VERSION) \
		BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
		BUILD_MILESTONE=src \
		JDKHOME=$(JAVA_HOME) \
		JAVA_SPECIFICATION_VERSION=$(JAVA_SPECIFICATION_VERSION) \
		BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)

	# Generate the manpages
	JT_HOME=build/images/jtreg help2man --name="Regression Test Harness" --help-option="-help all" --version-option="-version" build/images/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=build/images/jtreg help2man --name="Regression Test Harness" --help-option="-help all" --version-option="-version" build/images/jtreg/bin/jtreg > jtreg.1

	# Make jtreg.jar writable so it is not ignored by strip-nondeterminism
	chmod +w build/images/jtreg/lib/jtreg.jar

## jtreg8 8.1%2B1%2Bds1

=== make/Makefile ===
#
# Copyright (c) 1999, 2025, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

TOPDIR = ..

include Defs.gmk
include Platform.gmk

default: build

all: build test

#----------------------------------------------------------------------

include jtdiff.gmk
include jtreg.gmk
include $(TOPDIR)/test/*.gmk
include $(TOPDIR)/test/*/*.gmk
include Rules.gmk

build: $(BUILDFILES)

test: $(BUILDTESTDIR) $(INITIAL_TESTS) $(TESTS) $(FINAL_TESTS)
	@count=`echo $+ | wc -w` ; \
	echo "All ($${count}) selected tests completed successfully"
ifndef JDK8HOME
	@echo "Warning: JDK8HOME not set; some tests may not have been executed"
endif
ifndef JDK9HOME
	@echo "Warning: JDK9HOME not set; some tests may not have been executed"
endif
ifndef JDK10HOME
	@echo "Warning: JDK10HOME not set; some tests may not have been executed"
endif
ifndef JDK14HOME
	@echo "Warning: JDK14HOME not set; some tests may not have been executed"
endif
ifndef JDK18HOME
	@echo "Warning: JDK18HOME not set; some tests may not have been executed"
endif
ifdef HEADLESS
	@echo "Warning: HEADLESS is set; some tests may not have been executed"
endif
ifeq ($(OS_NAME), windows)
	@echo "Warning: OS is Windows; some tests may not have been executed"
endif

quick-test: $(BUILDTESTDIR) $(INITIAL_TESTS)
	count=`echo $+ | wc -w` ; \
	echo "All ($${count}) selected tests completed successfully"

images: $(VERBOSEZIPFILES)

new-images: $(NEWVERBOSEZIPFILES)

clean:
	$(RM) $(BUILDDIR)

clean-except-deps:
	for i in $(BUILDDIR)/* ; do \
	    case $$i in \
		*/deps ) ;; \
		* ) $(RM) $$i ;; \
	    esac \
	done

clean-deps:
	$(RM) $(BUILDDIR)/deps

clean-tests:
	$(RM) $(BUILDTESTDIR)

.NO_PARALLEL: clean clean-except-deps clean-deps clean-tests

sanity:
ifdef JDK8HOME
	@echo "JDK8HOME            = $(JDK8HOME)"
endif
ifdef JDK9HOME
	@echo "JDK9HOME            = $(JDK9HOME)"
endif
ifdef JDK10HOME
	@echo "JDK10HOME           = $(JDK10HOME)"
endif
ifdef JDK14HOME
	@echo "JDK14HOME           = $(JDK14HOME)"
endif
ifdef JDK18HOME
	@echo "JDK18HOME           = $(JDK18HOME)"
endif
	@echo "JDKHOME             = $(JDKHOME)"
	@echo "JAVATEST_HOME       = $(JAVATEST_HOME)"
ifneq ($(JTHARNESS_HOME), $(JAVATEST_HOME))
	@echo "JTHARNESS_HOME      = $(JTHARNESS_HOME)"
endif
	@echo "JTHARNESS_NOTICES   = $(JTHARNESS_NOTICES)"
	@echo "ASMTOOLS_JAR        = $(ASMTOOLS_JAR)"
	@echo "ASMTOOLS_NOTICES    = $(ASMTOOLS_NOTICES)"
	@echo "JUNIT_JARS          = $(JUNIT_JARS)"
	@echo "JUNIT_NOTICES       = $(JUNIT_NOTICES)"
	@echo "TESTNG_JARS         = $(TESTNG_JARS)"
	@echo "TESTNG_NOTICES      = $(TESTNG_NOTICES)"
	@echo "BUILD_VERSION       = $(BUILD_VERSION)"
	@echo "BUILD_MILESTONE     = $(BUILD_MILESTONE)"
	@echo "BUILD_NUMBER        = $(BUILD_NUMBER)"

#----------------------------------------------------------------------

$(BUILDTESTDIR):
	$(MKDIR) $@

#----------------------------------------------------------------------

.PHONY: default all build test images new-images clean sanity

## jtreg8 8+2+ds1

=== debian/changelog ===
jtreg8 (8+2+ds1-2) unstable; urgency=medium

  * d/copyright: revert FSF address change.
  * d/s/lintian-overrides, d/jtreg8.lintian-overrides: add override for
    the old FSF address.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 21 Aug 2025 08:44:01 +1200

jtreg8 (8+2+ds1-1) unstable; urgency=medium

  * Initial upload of jtreg8

  [ Vladimir Petko ]
  * New upstream release 8.2 (Closes: #1110468).
    - refresh patches.
    - d/picocli/maven.rules: replace groovy version with 'debian'.
  * d/control: update Standards Version to 4.7.2 (no changes).
  * Add lintian overrides.
  * d/copyright: update FSF address.
  * d/p/flush_stream.patch: sync filesystem before grep. This workarounds
    an intermittent test failure.

  [ tony mancill ]
  * d/copyright: Add testng/testng-test-osgi/* (BSD-2-Clause)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 05 Aug 2025 08:52:20 +1200

=== debian/control ===
Source: jtreg8
Section: java
Priority: optional
Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 ant,
 debhelper (>=11),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
 libjline2-java,
 zip,
 libjansi-native-java (>= 1.7),
 libmaven-bundle-plugin-java,
 maven-repo-helper,
 maven-debian-helper,
 gradle-debian-helper (>= 1.4),
 groovy (>= 2.4.10),
 libjna-java,
 libjuniversalchardet-java,
 libmaven-dependency-plugin-java,
 libmaven-source-plugin-java,
 libbuild-helper-maven-plugin-java,
 junit,
 libeasymock-java,
 libjmock-java,
 rsync,
 libmaven-shade-plugin-java,
 libassertj-core-java,
 libjtharness-java (>= 6.0),
 libyaml-snake-java,
 libfindbugs-java,
 libbsh-java,
 libasm-java,
 libcommons-lang-java,
 libmaven-plugin-tools-java,
 libplexus-component-metadata-java,
 libxbean-java,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/java-team/jtreg8.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg8
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg8
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
Conflicts: jtreg, jtreg6, jtreg7
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

## jtreg8 8.1%2B1%2Bds1

=== debian/changelog ===
jtreg8 (8.1+1+ds1-1~deb13u1) trixie-security; urgency=medium

  * Upload to Debian 13 (trixie).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Jan 2026 08:42:45 +1300

jtreg8 (8.1+1+ds1-1) unstable; urgency=medium

  * New upstream release jtreg 8.1, build 1.
  * d/{control, copyright, p/testng-build-with-gradle.patch}: drop
    snakeyaml dependency (Closes: #1117950).
  * Add patches to resolve test ftbfs (Closes: #1115694):
    - d/p/codetools-7904101.patch: capture all stdout/stderr output
      from the agent vm to the log file.
    - d/p/codetools-7904104-proposed.patch: do not interrupt main
      thread if the agent process is killed.
    - d/p/codetools-7904105-proposed.patch: synchronize test result
      updates.
    - d/p/codetools-7904106-proposed.patch: use different work
      directories for TestNativePath.
    - d/p/codetools-7904107-proposed.patch: add a separate target to
      filter log files.
  * d/flush_stream.patch: drop patch, it is replaced by
    d/p/codetools-7904101.patch.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Oct 2025 08:07:49 +1300

## jtreg8 8.1+1~us1

=== debian/changelog ===
jtreg8 (8.1+1~us1-0ubuntu1) resolute; urgency=medium

  * New upstream release jtreg 8.1, build 1.
  * d/{control, copyright, p/testng-build-with-gradle.patch}: drop
    snakeyaml dependency (Closes: #1117950).
  * Add patches to resolve test ftbfs (Closes: #1115694):
    - d/p/codetools-7904101.patch: capture all stdout/stderr output
      from the agent vm to the log file.
    - d/p/codetools-7904104-proposed.patch: do not interrupt main
      thread if the agent process is killed.
    - d/p/codetools-7904105-proposed.patch: synchronize test result
      updates.
    - d/p/codetools-7904106-proposed.patch: use different work
      directories for TestNativePath.
    - d/p/codetools-7904107-proposed.patch: add a separate target to
      filter log files.
  * d/flush_stream.patch: drop patch, it is replaced by
    d/p/codetools-7904101.patch.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Oct 2025 08:07:49 +1300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jtreg8
 Section: java
 Priority: optional
-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,
@@ -34,7 +35,6 @@
  libmaven-shade-plugin-java,
  libassertj-core-java,
  libjtharness-java (>= 6.0),
- libyaml-snake-java,
  libfindbugs-java,
  libbsh-java,
  libasm-java,

=== debian/watch ===
version=4
opts="compression=gzip,repack,repacksuffix=+ds1,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/openjdk/jtreg/tags .*/jtreg-(8.[\d\.]+(?:\+[0-9]+)?)\.tar\.gz

opts="compression=gzip,component=jansi1,repack" \
https://github.com/fusesource/jansi/tags?after=jansi-2.1.0 .*/jansi-project-(1.18)\.tar\.gz 1.18

opts="compression=gzip,component=jline3,repack" \
https://github.com/jline/jline3/tags?after=jline-parent-3.5.2 .*/.*-(3.3.1)\.tar\.gz 3.3.1

opts="compression=gzip,component=junit4,repack" \
  https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2

opts="compression=gzip,component=junit5,repack" \
https://github.com/junit-team/junit5/tags?after=r5.12.2 .*/r(5.11.4)\.tar\.gz 5.11.4

opts="compression=gzip,component=libhamcrest-java,repack" \
https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2

opts="compression=gzip,component=opentest4j-reporting,repack" \
https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M2)\.tar\.gz 0.1.0-M2

opts="compression=gzip,component=picocli,repack" \
https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2

opts="compression=gzip,component=testng,repack" \
https://github.com/cbeust/testng/tags?after=7.8.0-rc2 .*/(7.5.1)\.tar\.gz 7.5.1

opts="compression=gzip,component=univocity-parsers,repack" \
https://github.com/univocity/univocity-parsers/tags .*/(?:.*?)(2.9.1)\.tar\.gz 2.9.1

opts="compression=gzip,component=hawt-jni,repack" \
https://github.com/fusesource/hawtjni/tags .*/hawtjni-project-(1.18).tar.gz 1.18

opts="compression=gzip,component=opentest4j,repack" \
https://github.com/ota4j-team/opentest4j/tags .*/r(1.2.0)\.tar\.gz 1.2.0

opts="compression=gzip,component=apiguardian,repack" \
https://github.com/apiguardian-team/apiguardian/tags .*/r(1.1.2)\.tar\.gz 1.1.2

## jtreg8 8.1+1+ds1

=== debian/changelog ===
jtreg8 (8.1+1+ds1-1~22.04) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.
  * d/{control,rules}: jtreg 8.1 requires Java 17. Use openjdk-17 to
    build jtreg.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 23 Jan 2026 14:31:03 +1300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: jtreg8
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,
  debhelper (>=11),
  default-jdk,
+ openjdk-17-jdk,
  help2man,
  javahelp2,
  javahelper,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-JAVA_HOME = /usr/lib/jvm/default-java
+JAVA_HOME = /usr/lib/jvm/java-17-openjdk-$(shell dpkg --print-architecture)
 
 # version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
 VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
@@ -36,7 +36,7 @@
 	dh_clean
 
 override_dh_auto_build:
-	./debian/component-scripts/build-components.sh jtreg8 $(components)
+	JAVA_HOME=/usr/lib/jvm/default-java ./debian/component-scripts/build-components.sh jtreg8 $(components)
 
 	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
 	mkdir -p build/classes/com/sun/javatest/regtest/tool

## jtreg8 8.2.1%2B1%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-JAVA_HOME = /usr/lib/jvm/java-17-openjdk-$(shell dpkg --print-architecture)
+JAVA_HOME = /usr/lib/jvm/default-java
 
 # version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
 VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
@@ -26,7 +26,7 @@
 	head -n 1 | \
 	sed -e 's/^[^0-9]*\(1\.\)*\([1-9][0-9]*\).*/\2/' )
 
-components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng
+components:=asmtools apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng
 
 %:
 	dh $@
@@ -36,13 +36,13 @@
 	dh_clean
 
 override_dh_auto_build:
-	JAVA_HOME=/usr/lib/jvm/default-java ./debian/component-scripts/build-components.sh jtreg8 $(components)
+	./debian/component-scripts/build-components.sh jtreg8 $(components)
 
 	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
 	mkdir -p build/classes/com/sun/javatest/regtest/tool
 	mkdir -p build/test
 	(cd make && make \
-		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
+		ASMTOOLS_JAR=../asmtools/build/asmtools/binaries/lib/asmtools.jar \
 		BUILD_DIR=../build \
 		JUNIT_JARS=../junit5/debian/jtreg8/usr/share/java/junit-platform-console-standalone.jar \
 		TESTNG_JARS="../testng/debian/jtreg8/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \

## jtreg8 8.2.1+1+ds1

=== debian/changelog ===
jtreg8 (8.2.1+1+ds1-2) unstable; urgency=medium

  * d/p/codetools-7904157-proposed.patch: override compile timeout
    to resolve the test failure due to the compilation timing out
    with the default timeout (Closes: #1128797).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 23 Feb 2026 11:09:54 +1300

jtreg8 (8.2.1+1+ds1-1) unstable; urgency=medium

  * New upstream release jtreg 8.2.1, build 1.
    - Update vendored junit to 5.14.2.
    - Update vendored opentest4j-reporting to 0.2.5.
    - Vendor asmtools 9.1+b01.
  * d/control: Drop libasmtools-java dependency.
  * d/p/fix_junit5_error_message.patch: drop junit error message
    patch, JUnit 5 was upgraded.
  * d/p/codetools-790410{5,6,7}-proposed.patch: Drop patches
    applied upstream.
  * d/gbp-import.sh: Sign tags on import.
  * d/p/codetools-7904152.patch: skip security policy tests
    with Java 25 (CODETOOLS-7904152).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 17 Feb 2026 08:35:56 +1300

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,9 @@
  ant,
  debhelper (>=11),
  default-jdk,
- openjdk-17-jdk,
  help2man,
  javahelp2,
  javahelper,
- libasmtools-java,
  libjcommander-java,
  libslf4j-java,
  libguice-java,

=== debian/watch ===
--- 
+++ 
@@ -12,13 +12,13 @@
   https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2
 
 opts="compression=gzip,component=junit5,repack" \
-https://github.com/junit-team/junit5/tags?after=r5.12.2 .*/r(5.11.4)\.tar\.gz 5.11.4
+https://github.com/junit-team/junit5/tags .*/r(5.14.2)\.tar\.gz 5.14.2
 
 opts="compression=gzip,component=libhamcrest-java,repack" \
 https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2
 
 opts="compression=gzip,component=opentest4j-reporting,repack" \
-https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M2)\.tar\.gz 0.1.0-M2
+https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.2.5)\.tar\.gz 0.2.5
 
 opts="compression=gzip,component=picocli,repack" \
 https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2
@@ -37,3 +37,6 @@
 
 opts="compression=gzip,component=apiguardian,repack" \
 https://github.com/apiguardian-team/apiguardian/tags .*/r(1.1.2)\.tar\.gz 1.1.2
+
+opts="compression=gzip,component=asmtools,repack" \
+https://github.com/openjdk/asmtools/tags .*/(9.1-b01)\.tar\.gz 9.1-b01
